package LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI;

use v5.36.0;

use strict;
use warnings;

with 'LasTres::Area';

use Module::Pluggable search_path => ['LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI'];

has locations => (
    is => 'lazy'
);

sub identifier {
    return 'bosque_del_heroe_i';
}

sub _build_locations {
    my $self = shift;
    my $hash = {};
    my @locations = $self->plugins();
    for $location (@locations) {
        $hash->{$location->identifier} = $location;
    }
    return $hash;
}

sub name {
    return 'Bosque del Héroe (I)';
}

sub parent {
    return LasTres::Planet::Bahdder::BosqueDelHeroe->new;
}
1;
